id: stripe-api-key

info:
  name: Stripe API Key
  author: 302Found
  severity: high

file:
  - extensions:
      - all

    extractors:
      - type: regex
        regex:
          - "(?i)stripe(.{0,20})?[sr]k_live_[0-9a-zA-Z]{24}"